{
  "schema_version": "1.4.0",
  "id": "GHSA-x2gq-fc4q-qphg",
  "modified": "2022-05-02T03:16:43Z",
  "published": "2022-05-02T03:16:43Z",
  "aliases": [
    "CVE-2009-0586"
  ],
  "details": "Integer overflow in the gst_vorbis_tag_add_coverart function (gst-libs/gst/tag/gstvorbistag.c) in vorbistag in gst-plugins-base (aka gstreamer-plugins-base) before 0.10.23 in GStreamer allows context-dependent attackers to execute arbitrary code via a crafted COVERART tag that is converted from a base64 representation, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0586"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2009:0352"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-0586"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=488208"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/49274"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9694"
    },
    {
      "type": "WEB",
      "url": "http://cgit.freedesktop.org/gstreamer/gst-plugins-base/commit/?id=566583e87147f774e7fc4c78b5f7e61d427e40a9"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00010.html"
    },
    {
      "type": "WEB",
      "url": "http://ocert.org/patches/2008-015/gst-plugins-base-CVE-2009-0586.diff"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2009/03/12/2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34335"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34350"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35777"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200907-11.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:085"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2008-015.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/501712/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34100"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-735-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-03-14T18:30:00Z"
  }
}